Karen Etheridge 🐾 🌋

NAME

Dist::Zilla::Plugin::EnsureLatestPerl - Ensure the author is releasing using the latest Perl

VERSION

version 0.007

SYNOPSIS

In your dist.ini:

    [EnsureLatestPerl]

DESCRIPTION

This is a Dist::Zilla plugin that aborts the dzil release process unless the latest perl is being used for the release. "Latest" here is calculated as the latest point release in the latest stable or development Perl lines -- for example, 5.24.1 (latest in the 5.24 series) or 5.25.12 (latest in the 5.25 series).

CONFIGURATION OPTIONS

DZIL_ANY_PERL

When this environment variable is true, the check is skipped. Therefore, it is safe to keep this plugin enabled in your plugin bundle, and you can disable it temporarily as needed for a particular release without changing any local files.

SEE ALSO

SUPPORT

Bugs may be submitted through the RT bug tracker (or bug-Dist-Zilla-Plugin-EnsureLatestPerl@rt.cpan.org).

There is also a mailing list available for users of this distribution, at http://dzil.org/#mailing-list.

There is also an irc channel available for users of this distribution, at #distzilla on irc.perl.org.

I am also usually active on irc, as 'ether' at irc.perl.org.

AUTHOR

Karen Etheridge <ether@cpan.org>

COPYRIGHT AND LICENCE

This software is copyright (c) 2017 by Karen Etheridge.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.